# Projet TMS

## Introduction

Le projet TMS : Tape Management System -  doit permettre la gestion des volumes magnétiques sous différents aspects:
* Gestion des stocks de bandes
* Gestion de librairies de volumes (robots, racks...)
* Gestion des opérations sur les volumes (import, export, déplacement de librairies, suppression,...)
* Interroger et consulter l’ensemble des informations suivant des critères de sélection.

## Principales entités

![diagramme des objets](diagramme.png "diagramme des objets")


Pour chaque objet est listé la liste des actions possibles et des valeurs contraintes .
### Fournisseur
On doit pouvoir définir, modifier ou supprimer un fournisseur

### Librairie
On doit pouvoir définir, modifier ou supprimer une librairie
*  Type librairie (online, offline)

### Service 

C’est le service utilisant les bandes magnétiques
On doit pouvoir définir, modifier ou supprimer un service
*  Nom : HPSS, TSM, HESS

### Commande
On doit pouvoir définir, modifier ou supprimer un numéro de commande

### Lot
On doit pouvoir définir, modifier ou supprimer un lot de volumes (tapes)

### Modèle de tapes

On doit pouvoir définir, modifier ou supprimer un modèle de bandes

*   Nom du modèle (ex. T10KT2*,LTO4, LTO6, 9T10U, 9LTO)

### Tapes

On doit pouvoir définir un volume .

*  Etat volume (En commande, En stock, En librairie, En échange, EnvoyéPourAnalyse, Inactif,RetiréDeProduction )

### Lecteur
On doit pouvoir définir, modifier ou supprimer un lecteur (un dérouleur)



 
## Principales fonctionnalités

### Journalisation et audit

*  Traçabilité: Enregistrer l’ensemble des opérations réalisées sur un objet (si une bande a changé de label par exemple).
*  Historisation: garder trace des objets supprimés (ex. Librairie, Volume, Lecteur)

### Manipulation de données

L’application doit permettre de paramétrer une recherche d’information sur tous les objets de l’application par un système de filtres personnalisés .
Les résultats des recherches doivent pouvoir:
* être visualisés
* être imprimés
* être exportés sous un format permeCant une exploitation extérieure (.xls ou .csv par exemple)

Les données seront importées préalablement de la base existante . 

### Cohérence
Il est important d’assurer/garantir la cohérence TMS / librairie, c’est à dire que les volumes listés dans TMS doivent être présents dans les librairies et vice-versa.
Pour cela il faut prévoir une procédure manuelle basée sur l'import d'un fichier de listing générée par la librairie que l'on comparera avec le contenu de la base de données.

### Cycle de vie

L'application devra respecter le cycle de vie des bandes (voir ci-dessous) et devra permettre de suivre le cycle d'une bande depuis sa création .


![cycle de vie des bandes](cyclevie.png "cycle de vie des bandes")